min-devkit won't build per the command line README instructions


    Oct 20 2020 | 1:39 am
    I am trying to build the min-devkit. I am following the build instructions on the README and run into an error for the build target:
    ...
    
    === BUILD TARGET mc.min.info_tilde OF PROJECT min-devkit WITH CONFIGURATION Debug ===
    ...
    In file included from /Users/<username>/Documents/Max 8/Packages/min-devkit/source/projects/mc.min.info_tilde/mc.min.info_tilde.cpp:6:
    In file included from /Users/<username>/Documents/Max 8/Packages/min-devkit/source/min-api/script/../include/c74_min.h:13:
    /Users/<username>/Documents/Max 8/Packages/min-devkit/source/min-api/script/../include/c74_min_impl.h:154:29: error: self-comparison always evaluates to true
          [-Werror,-Wtautological-compare]
            return this->a_type == this->a_type && this->a_w.w_obj == b.a_w.w_obj;
                                ^
    1 error generated.
    I can correct the code referenced here by converting the code to what I think was intended at line 154:
    return this->a_type == b.a_type && this->a_w.w_obj == b.a_w.w_obj;
    However, I run into other errors later if I do this.
    Is anyone able to get the README command line build instructions to work?
    I installed min-devit via the Package Manager. I tried creating my first custom package per the video tutorial, but ran into the problems that are listed in this forum post:
    I'm really excited about the possibility of using min-devkit, so please let me know if there is more info that would help debug this.
    Cheers, Steve

    • Oct 20 2020 | 3:24 pm
      just commented on the thread you linked on what it takes me currently to get a new package built using min, but it does look like you've discovered a bug (strange I con't get your compile error, hmmm what xcode version are you working from?). I created an issue on the min-api github to track.
      can you try again with the instructions I posted on the other thread?
    • Oct 20 2020 | 4:00 pm
      Thank you very much for the instructions. I will attempt them over my lunch hour or by the evening and report back in that post.
      Re: xcode version - I didn't read carefully and inadvertently upgrade from 11 to 12. Looking at my work machine where I have not processed the update I see in the App Store app an Update for Xcode, but the single line description makes it look like a simple minor release or bug fix by stating, "This update fixes an issue that could cause Xcode to crash when viewing documentation." But when you click on "more" it states, "Xcode 12 includes..."
    • Oct 20 2020 | 6:11 pm
      Closing the loop for future readers. See the other forum post referenced above for details on Rob's solution that solved this issue:
      https://cycling74.com/forums/xcode-not-launching/replies/1#reply-5f8f272209cc80627aa9756f